package vip.xiaonuo.money.entity;

import com.baomidou.mybatisplus.annotation.TableName;
import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableId;
import java.time.LocalDateTime;
import java.io.Serializable;
import java.util.Date;

import com.fasterxml.jackson.annotation.JsonFormat;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.EqualsAndHashCode;
import lombok.experimental.Accessors;

/**
 * <p>
 * 财务费用预测
 * </p>
 *
 * @author author
 * @since 2024-11-21
 */
@Data
@EqualsAndHashCode(callSuper = false)
@Accessors(chain = true)
@TableName("money_forecast")
public class MoneyForecast implements Serializable {

    private static final long serialVersionUID = 1L;

    @TableId(value = "id", type = IdType.AUTO)
    private Integer id;

    /**
     * 销售额
     */
    @ApiModelProperty(value = "销售额", position = 1)
    private String saleNumber;

    /**
     * 销售利润
     */
    @ApiModelProperty(value = "销售利润", position = 2)
    private String saleProfit;

    /**
     * 销售成本
     */
    @ApiModelProperty(value = "销售成本", position = 3)
    private String saleCost;

    /**
     * 创建时间
     */
    @ApiModelProperty(value = "创建时间", position = 4)
    @JsonFormat(pattern = "yyyy-MM-dd", timezone = "GMT+8")
    private Date createTime;

    /**
     * 组织id
     */
    @ApiModelProperty(value = "组织id", position = 5)
    private String orgId;

    /**
     * 预测类型 0为本月预测 1为本月实际
     */
    @ApiModelProperty(value = "预测类型 0为本月预测 1为本月实际", position = 6)
    private Integer type;


}
