package vip.xiaonuo.quality.controller;


import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.github.xiaoymin.knife4j.annotations.ApiOperationSupport;
import com.github.xiaoymin.knife4j.annotations.ApiSupport;
import io.swagger.annotations.Api;
import io.swagger.annotations.ApiOperation;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.validation.annotation.Validated;
import org.springframework.web.bind.annotation.PostMapping;
import org.springframework.web.bind.annotation.RequestBody;
import org.springframework.web.bind.annotation.RequestMapping;

import org.springframework.web.bind.annotation.RestController;
import vip.xiaonuo.common.pojo.CommonResult;
import vip.xiaonuo.quality.entity.QualityEffectice;
import vip.xiaonuo.quality.entity.QualityWarning;
import vip.xiaonuo.quality.param.QualityEffectiveParam;
import vip.xiaonuo.quality.param.QualityWarningParam;
import vip.xiaonuo.quality.service.IQualityWarningService;

/**
 * <p>
 * 质量管控生产预警 前端控制器
 * </p>
 *
 * @author author
 * @since 2024-12-11
 */
@RestController
@Api(tags = "质量管控生产预警")
@ApiSupport(author = "wang", order = 1)
@Validated
public class QualityWarningController {

    @Autowired
    private IQualityWarningService warningService;

    @PostMapping("/quality-warning/listPage")
    @ApiOperationSupport(order = 1)
    @ApiOperation("质量管控生产预警列表")
    public CommonResult<Page<QualityWarning>> listPage(@RequestBody QualityWarningParam warningParam) {
        return CommonResult.data(warningService.listPage(warningParam));
    }
}
