package vip.xiaonuo.quality.entity;

import com.baomidou.mybatisplus.annotation.TableName;
import com.baomidou.mybatisplus.annotation.IdType;
import java.time.LocalDateTime;
import com.baomidou.mybatisplus.annotation.TableId;
import java.io.Serializable;
import java.util.Date;

import com.fasterxml.jackson.annotation.JsonFormat;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.EqualsAndHashCode;
import lombok.experimental.Accessors;

/**
 * <p>
 * 厂商质量级别评估
 * </p>
 *
 * @author author
 * @since 2024-12-11
 */
@Data
@EqualsAndHashCode(callSuper = false)
@Accessors(chain = true)
@TableName("quality_manufacturer")
public class QualityManufacturer implements Serializable {

    private static final long serialVersionUID = 1L;

    @TableId(value = "id", type = IdType.AUTO)
    private Integer id;

    /**
     * 厂商名称
     */
    @ApiModelProperty(value = "厂商名称", position =1)
    private String manufacturerName;

    /**
     * 供应品名称
     */
    @ApiModelProperty(value = "供应品名称", position =2)
    private String produceName;

    /**
     * 来料不良率
     */
    @ApiModelProperty(value = "来料不良率", position =3)
    private String badRate;

    /**
     * 质量级别
     */
    @ApiModelProperty(value = "质量级别", position =4)
    private String qualityLevel;

    /**
     * 创建时间
     */
    @ApiModelProperty(value = "创建时间", position =5)
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss",timezone = "GMT+8")
    private Date createTime;

    /**
     * 组织id
     */
    @ApiModelProperty(value = "组织id", position =6)
    private String orgId;


}
