/*
 * Copyright [2022] [https://www.baiduc.com]
 *
 * Snowy采用APACHE LICENSE 2.0开源协议，您在使用过程中，需要注意以下几点：
 *
 * 1.请不要删除和修改根目录下的LICENSE文件。
 * 2.请不要删除和修改Snowy源码头部的版权声明。
 * 3.本项目代码可免费商业使用，商业使用请保留源码和相关描述文件的项目出处，作者声明等。
 * 4.分发源码时候，请注明软件出处 https://www.baiduc.com
 * 5.不可二次分发开源参与同类竞品，如有想法可联系团队xiaonuobase@qq.com商议合作。
 * 6.若您的项目无法满足以上几点，需要更多功能代码，获取Snowy商业授权许可，请在官网购买授权，地址为 https://www.baiduc.com
 */
package vip.xiaonuo.quality.param;

import com.fasterxml.jackson.annotation.JsonFormat;
import io.swagger.annotations.ApiModelProperty;
import lombok.Getter;
import lombok.Setter;

import javax.validation.constraints.NotBlank;
import javax.validation.constraints.NotNull;
import java.math.BigDecimal;
import java.util.Date;

/**
 * 质量分析报表添加参数
 *
 * @author 1
 * @date  2025/02/26 16:25
 **/
@Getter
@Setter
public class QualityFenxibaogaoAddParam {

    /** 检品名称 */
    @ApiModelProperty(value = "检品名称", position = 2)
    private String materialName;

    /** 规格 */
    @ApiModelProperty(value = "规格", position = 3)
    private String spec;

    /** 取样日期 */
    @ApiModelProperty(value = "取样日期", position = 4)
    @JsonFormat(pattern = "yyyy-MM-dd", timezone = "GMT+8")
    private Date sampDate;

    /** 自编批号 */
    @ApiModelProperty(value = "自编批号", position = 5)
    private String selfBatchNum;

    /** 数量 */
    @ApiModelProperty(value = "数量", position = 6)
    private String quantity;

    /** 检验日期 */
    @ApiModelProperty(value = "检验日期", position = 7)
    @JsonFormat(pattern = "yyyy-MM-dd", timezone = "GMT+8")
    private Date inspecDate;

    /** 厂家批号 */
    @ApiModelProperty(value = "厂家批号", position = 8)
    private String manufBatchNum;

    /** 报告日期 */
    @ApiModelProperty(value = "报告日期", position = 9)
    @JsonFormat(pattern = "yyyy-MM-dd", timezone = "GMT+8")
    private Date reportDate;

    /** 生产单位 */
    @ApiModelProperty(value = "生产单位", position = 10)
    private String productionUnit;

    /** 检验编号 */
    @ApiModelProperty(value = "检验编号", position = 11)
    private String inspecNum;

    /** 检验项目 */
    @ApiModelProperty(value = "检验项目", position = 12)
    private String inspecItems;

    /** 检验标准 */
    @ApiModelProperty(value = "检验标准", position = 13)
    private String inspecStandards;

    /** 检验结果 */
    @ApiModelProperty(value = "检验结果", position = 14)
    private String inspecResults;

    /** ORG_ID */
    @ApiModelProperty(value = "ORG_ID", position = 15)
    private String orgId;


    @ApiModelProperty(value = "车间", position = 15)
    private String cheJianName;

    @ApiModelProperty(value = "比旋度", position = 15)
    private String specificOtation;

    @ApiModelProperty(value = "0成品 1中间体", position = 15)
    private Integer qualityType;

}
