package vip.xiaonuo.sale.controller;


import com.github.xiaoymin.knife4j.annotations.ApiOperationSupport;
import com.github.xiaoymin.knife4j.annotations.ApiSupport;
import io.swagger.annotations.Api;
import io.swagger.annotations.ApiOperation;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.validation.annotation.Validated;
import org.springframework.web.bind.annotation.PostMapping;
import org.springframework.web.bind.annotation.RequestBody;
import org.springframework.web.bind.annotation.RequestMapping;

import org.springframework.web.bind.annotation.RestController;
import vip.xiaonuo.common.pojo.CommonResult;
import vip.xiaonuo.sale.entity.SaleCost;
import vip.xiaonuo.sale.entity.SalePrice;
import vip.xiaonuo.sale.param.SaleCostParam;
import vip.xiaonuo.sale.param.SalePriceParam;
import vip.xiaonuo.sale.service.ISalePriceService;

import java.util.List;

/**
 * <p>
 * 销售重要产品单价 前端控制器
 * </p>
 *
 * @author author
 * @since 2024-12-13
 */
@RestController
@Api(tags = "销售重要产品单价")
@ApiSupport(author = "wang", order = 1)
@Validated
public class SalePriceController {

    @Autowired
    private ISalePriceService priceService;

    @PostMapping("/sale-price/getList")
    @ApiOperationSupport(order = 1)
    @ApiOperation("销售重要产品单价列表")
    public CommonResult<List<SalePrice>> getList(@RequestBody SalePriceParam priceParam) {
        return CommonResult.data(priceService.getList(priceParam));
    }
}
