/*
 * Copyright [2022] [https://www.baiduc.com]
 *
 * Snowy采用APACHE LICENSE 2.0开源协议，您在使用过程中，需要注意以下几点：
 *
 * 1.请不要删除和修改根目录下的LICENSE文件。
 * 2.请不要删除和修改Snowy源码头部的版权声明。
 * 3.本项目代码可免费商业使用，商业使用请保留源码和相关描述文件的项目出处，作者声明等。
 * 4.分发源码时候，请注明软件出处 https://www.baiduc.com
 * 5.不可二次分发开源参与同类竞品，如有想法可联系团队xiaonuobase@qq.com商议合作。
 * 6.若您的项目无法满足以上几点，需要更多功能代码，获取Snowy商业授权许可，请在官网购买授权，地址为 https://www.baiduc.com
 */
package vip.xiaonuo.sale.param;

import io.swagger.annotations.ApiModelProperty;
import lombok.Getter;
import lombok.Setter;

import java.util.List;

/**
 * erp_base_material编辑参数
 *
 * @author 1
 * @date  2025/02/18 13:54
 **/
@Getter
@Setter
public class ErpBaseMaterialEditTreeParam {

    /** ID */
    @ApiModelProperty(value = "ID", required = true, position = 1)
    private Integer id;

    /** 名字 */
    @ApiModelProperty(value = "名字", position = 2)
    private String materialName;

    /** 等级 */
    @ApiModelProperty(value = "等级", position = 3)
    private Integer level;

    /** 父id */
    @ApiModelProperty(value = "父id", position = 4)
    private Integer parentId;

    /** erpid */
    @ApiModelProperty(value = "erpid", position = 5)
    private String erpId;

    /** 物料编码 */
    @ApiModelProperty(value = "物料编码", position = 6)
    private String materialCode;

    /** 换算值 */
    @ApiModelProperty(value = "换算值", position = 7)
    private Double conver;

    /** 属性 0是换算物料， 1其它 */
    @ApiModelProperty(value = "属性 0是换算物料， 1其它", position = 8)
    private Integer attr;

    /** ORG_ID */
    @ApiModelProperty(value = "ORG_ID", position = 9)
    private String orgId;
    @ApiModelProperty(value = "规格", position = 14)
    private String fspecification;

    @ApiModelProperty(value = "ORG_ID", position = 9)
    private List<ErpBaseMaterialEditTreeParam> childer;

}
