package vip.xiaonuo.warehouse.entity;

import com.baomidou.mybatisplus.annotation.TableName;
import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableId;
import java.time.LocalDateTime;
import java.io.Serializable;
import java.util.Date;

import com.fasterxml.jackson.annotation.JsonFormat;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.EqualsAndHashCode;
import lombok.experimental.Accessors;

/**
 * <p>
 * 仓库物料二级入库变动
 * </p>
 *
 * @author author
 * @since 2024-11-29
 */
@Data
@EqualsAndHashCode(callSuper = false)
@Accessors(chain = true)
@TableName("warehouse_stock_second")
public class WarehouseStockSecond implements Serializable {

    private static final long serialVersionUID = 1L;

    @TableId(value = "id", type = IdType.AUTO)
    private Integer id;

    /**
     * 物料类型0原材料1成品2半成品3低值易耗品4包材5羊毛脂6鱼油
     */
    @ApiModelProperty(value = "物料类型0原材料1成品2半成品3低值易耗品4包材5羊毛脂6鱼油", position = 1)
    private Integer materialType;

    /**
     * 入库数量
     */
    @ApiModelProperty(value = "入库数量", position = 2)
    private String incomeNumber;

    /**
     * 入库金额
     */
    @ApiModelProperty(value = "入库金额", position = 3)
    private String incomeMoney;

    /**
     * 库存
     */
    @ApiModelProperty(value = "库存", position = 4)
    private String stock;

    /**
     * 组织id
     */
    @ApiModelProperty(value = "组织id", position = 5)
    private String orgId;

    /**
     * 创建时间
     */
    @ApiModelProperty(value = "创建时间", position = 6)
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss", timezone = "GMT+8")
    private Date createTime;




}
